preserved libs

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

preserved libs

Alex Efros-4
Hi!

Только что обновил wireshark с 1.8.8 на 1.10.1, после чего меня
"порадовал" вывод emerge (portage-2.1.12.2):

 !!! existing preserved libs:
 >>> package: net-analyzer/wireshark-1.10.1
 *  - /usr/lib64/libwsutil.so.2
 *  - /usr/lib64/libwsutil.so.2.0.0
 *  - /usr/lib64/libwiretap.so.2
 *  - /usr/lib64/libwiretap.so.2.1.8
 *      used by /usr/lib64/libwireshark.so.2.1.1 (net-analyzer/wireshark-1.10.1)

Как это понимать? Баг в портаж?

--
                        WBR, Alex.

Reply | Threaded
Open this post in threaded view
|

Re: preserved libs

Sergey Popov
03.08.2013 06:44, Alex Efros пишет:

> Hi!
>
> Только что обновил wireshark с 1.8.8 на 1.10.1, после чего меня
> "порадовал" вывод emerge (portage-2.1.12.2):
>
>  !!! existing preserved libs:
>  >>> package: net-analyzer/wireshark-1.10.1
>  *  - /usr/lib64/libwsutil.so.2
>  *  - /usr/lib64/libwsutil.so.2.0.0
>  *  - /usr/lib64/libwiretap.so.2
>  *  - /usr/lib64/libwiretap.so.2.1.8
>  *      used by /usr/lib64/libwireshark.so.2.1.1 (net-analyzer/wireshark-1.10.1)
>
> Как это понимать? Баг в портаж?
>
Хм. Интересно. Он что, в процессе сборки слинковался со старыми
библиотеками?

Что говорит 'ls -la /usr/lib64/libwsutil*' ?

--
Best regards, Sergey Popov
Gentoo developer
Gentoo Desktop-effects project lead
Gentoo Qt project lead
Gentoo Proxy maintainers project lead


signature.asc (567 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: preserved libs

Alex Efros-4
Hi!

On Sat, Aug 03, 2013 at 11:13:13AM +0400, Sergey Popov wrote:

> > Только что обновил wireshark с 1.8.8 на 1.10.1, после чего меня
> > "порадовал" вывод emerge (portage-2.1.12.2):
> >
> >  !!! existing preserved libs:
> >  >>> package: net-analyzer/wireshark-1.10.1
> >  *  - /usr/lib64/libwsutil.so.2
> >  *  - /usr/lib64/libwsutil.so.2.0.0
> >  *  - /usr/lib64/libwiretap.so.2
> >  *  - /usr/lib64/libwiretap.so.2.1.8
> >  *      used by /usr/lib64/libwireshark.so.2.1.1 (net-analyzer/wireshark-1.10.1)
> >
> > Как это понимать? Баг в портаж?
>
> Хм. Интересно. Он что, в процессе сборки слинковался со старыми
> библиотеками?
>
> Что говорит 'ls -la /usr/lib64/libwsutil*' ?

home ~ # ls -la /usr/lib64/libwsutil*
-rw-r--r-- 1 root root  1003 авг.   3 05:31 /usr/lib64/libwsutil.la
lrwxrwxrwx 1 root root    18 авг.   3 05:31 /usr/lib64/libwsutil.so -> libwsutil.so.3.0.0
lrwxrwxrwx 1 root root    18 июня  30 02:37 /usr/lib64/libwsutil.so.2 -> libwsutil.so.2.0.0
-rwxr-xr-x 1 root root 26304 июня  30 02:37 /usr/lib64/libwsutil.so.2.0.0
lrwxrwxrwx 1 root root    18 авг.   3 05:31 /usr/lib64/libwsutil.so.3 -> libwsutil.so.3.0.0
-rwxr-xr-x 1 root root 30400 авг.   3 05:31 /usr/lib64/libwsutil.so.3.0.0
home ~ # qfile /usr/lib64/libwsutil.so.2.0.0 /usr/lib64/libwsutil.so.3.0.0
net-analyzer/wireshark (/usr/lib64/libwsutil.so.2.0.0)
net-analyzer/wireshark (/usr/lib64/libwsutil.so.3.0.0)
home ~ # qlist wireshark | grep libwsutil.so
/usr/lib64/libwsutil.so
/usr/lib64/libwsutil.so.2
/usr/lib64/libwsutil.so.2.0.0
/usr/lib64/libwsutil.so.3
/usr/lib64/libwsutil.so.3.0.0
home ~ # qlist -I -v wireshark
net-analyzer/wireshark-1.10.1

Вывод qlist выглядит так, как будто _текущий_ пакет wireshark содержит две
версии этой либы. Но судя по датам файлов это не так.

Сейчас пересоберу его ещё разок… угу, это помогло! Пошёл вешать баг.

--
                        WBR, Alex.